BitronixMultiSystemException (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.internal
Class BitronixMultiSystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.transaction.SystemException
                  bitronix.tm.internal.BitronixSystemException
                      bitronix.tm.internal.BitronixMultiSystemException

All Implemented Interfaces:
  Serializable

    public class BitronixMultiSystemException

extends BitronixSystemException

Subclass of `SystemException` supporting nested `Throwable`s.

Author:
  lorban
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.transaction.SystemException
`errorCode`

Constructor Summary
`BitronixMultiSystemException(String string, List exceptions, List resourceStates)`

Method Summary
`List` | `getExceptions()` Get the list of exceptions that have been thrown during execution.
`String` | `getMessage()`
`List` | `getResourceStates()` Get the list of XAResourceHolderStates which threw an exception during execution.
`boolean` | `isUnilateralRollback()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BitronixMultiSystemException

    public BitronixMultiSystemException(String string,
                                        List exceptions,
                                        List resourceStates)

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### isUnilateralRollback

    public boolean isUnilateralRollback()

### getExceptions

    public List getExceptions()

  Get the list of exceptions that have been thrown during execution.

  Returns:
    the list of exceptions that have been thrown during execution.

### getResourceStates

    public List getResourceStates()

  Get the list of XAResourceHolderStates which threw an exception during execution. This list always contains exactly one resource per exception present in `getExceptions()` list. Indices of both list always match a resource against the exception it threw.

  Returns:
    the list of resource which threw an exception during execution.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.